Package org.eclipse.birt.chart.log

# Interface ILogger

public interface ILogger
Provides an abstraction layer into the logging framework capable of writing categorized messages into a target repository (or console).

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ALL`
All message type.
`static final int`
`ERROR`
An error message type.
`static final int`
`FATAL`
A fatal error message type.
`static final int`
`INFORMATION`
An informational message type.
`static final int`
`TRACE`
All tracing message type.
`static final int`
`WARNING`
A warning message type.

## Method Summary

Modifier and Type
Method
Description
`void`
`log(int iCode, String sMessage)`
Logs a message for the given message type into a target repository.
`void`
`log(Exception ex)`
Logs an exception into the target repository or destination.
`void`
`setVerboseLevel(int iVerboseLevel)`
Sets the verbose level to specify the granularity of messages being logged based on the message type.

## Field Details

### ALL

static final int ALL
All message type.

See Also:
  - Constant Field Values

### TRACE

static final int TRACE
All tracing message type.

See Also:
  - Constant Field Values

### INFORMATION

static final int INFORMATION
An informational message type.

See Also:
  - Constant Field Values

### WARNING

static final int WARNING
A warning message type.

See Also:
  - Constant Field Values

### ERROR

static final int ERROR
An error message type.

See Also:
  - Constant Field Values

### FATAL

static final int FATAL
A fatal error message type.

See Also:
  - Constant Field Values

## Method Details

### setVerboseLevel

void setVerboseLevel(int iVerboseLevel)
Sets the verbose level to specify the granularity of messages being logged based on the message type.

Parameters:
  `iVerboseLevel` - Determines how to filter messages to be displayed on the console.

### log

void log(int iCode, String sMessage)
Logs a message for the given message type into a target repository.

Parameters:
  `iCode` - The message type to be logged.
  `sMessage` - The actual message to be logged

### log

void log(Exception ex)
Logs an exception into the target repository or destination.

Parameters:
  `ex` - The exception to be logged.